%define	name	dpsftplib
%define	version	0.1.6
%define	release	2mdk
%define	prefix	/usr

Summary:	Nice little FTP library not specific to any program
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Other
URL:		http://dpsftp.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-buildroot

%description
While working on DPS-FTP, a Gnome-based clone of Bulletproof FTP, I
had an idea that would simplify much of the FTP code, as well as provide
directory caching. So, I split the FTP stuff into a library, and almost
completely re-did the whole thing. The result is a nice little FTP
library not specific to any program.

%package	devel
Summary:	dpsftplib development package
Group:		Development/Other
Requires:	%{name} = %{version}

%description	devel
Static libraries and header files for the dpsftplib.

%prep
%setup -q

%build
%configure --prefix=%{prefix} --sysconfdir=/etc
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%config(noreplace) /etc/system.dpsftplibrc
%{prefix}/lib/libdpsftp*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/bin/dpsftplib-config
%{prefix}/include/dpsftplib.h
%{prefix}/share/aclocal/dpsftplib.m4
%{prefix}/lib/libdpsftp*.so
%{prefix}/lib/libdpsftp*a

%changelog
* Tue Apr 04 2000 Warly <warly@mandrakesoft.com> 0.1.6-2mdk
- rebuild

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Tue Dec  7 1999 Ryan Weaver <ryanw@infohwy.com>
  [dpsftplib-0.6.0-2]
- Fixed some incorrectness in RPM header

* Mon Nov 29 1999 Ryan Weaver <ryanw@infohwy.com>
  [dpsftplib-0.1.6-1]
- Bug fixes.
- Now supports NOOP command to keep idle connections alive.
- configure.in now properly looks for glib and pthreads.
- Previously, commands were being sent that didn't need to be sent, like
  changing type to current type, or changing directory to current
  directory. This has been fixed.

* Wed Nov 24 1999 Ryan Weaver <ryanw@infohwy.com>
  [dpsftplib-0.1.5-1]
- ReWrote spec file to fix errors with running program.
- Submitted patch to author for dpsftplib.spec.in

